Get a single event with lines
curl --request GET \
--url 'https://therundown.io/api/v1/events/{eventId}?key='import requests
url = "https://therundown.io/api/v1/events/{eventId}?key="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://therundown.io/api/v1/events/{eventId}?key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"event_id": "09bfa53f8484a63e584398545c035932",
"sport_id": 4,
"event_date": "2026-02-12T00:00:00Z",
"score": {
"event_status": "STATUS_FINAL",
"score_away": 107,
"score_home": 110,
"venue_name": "Spectrum Center",
"venue_location": "Charlotte, NC",
"event_status_detail": "Final"
},
"teams": [
{
"team_id": 178,
"team_normalized_id": 11,
"name": "Atlanta Hawks",
"is_away": true,
"is_home": false
},
{
"team_id": 164,
"team_normalized_id": 12,
"name": "Charlotte Hornets",
"is_away": false,
"is_home": true
}
],
"teams_normalized": [
{
"team_id": 11,
"name": "Atlanta",
"mascot": "Hawks",
"abbreviation": "ATL",
"record": "26-30",
"is_away": true,
"is_home": false
},
{
"team_id": 12,
"name": "Charlotte",
"mascot": "Hornets",
"abbreviation": "CHA",
"record": "26-29",
"is_away": false,
"is_home": true
}
],
"lines": {
"4": {
"line_id": 17980122,
"moneyline": {
"moneyline_away": -105,
"moneyline_home": -115,
"moneyline_draw": 0.0001
},
"spread": {
"point_spread_away": 1.5,
"point_spread_away_money": -110,
"point_spread_home": -1.5,
"point_spread_home_money": -110
},
"total": {
"total_over": 235.5,
"total_over_money": -110,
"total_under": 235.5,
"total_under_money": -110
}
}
}
}V1 Events (Legacy)
Get a single event with lines
GET
/
api
/
v1
/
events
/
{eventId}
Get a single event with lines
Authorizations
ApiKeyQueryApiKeyHeader
API key as query parameter
Path Parameters
Query Parameters
Set to all_periods to include period-specific lines
Available options:
all_periods Comma-separated affiliate IDs
Response
200 - application/json
Event with lines
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Lines keyed by affiliate ID
Show child attributes
Show child attributes
Period-specific lines keyed by affiliate ID (when include=all_periods)
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I